Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame

From: Carlos Pita <[email-masked]>
Date: Thu, 31 Jul 2014 04:17:11 -0300

Take into account that the geometry will also depend on the toobar position
and there is no documented resource for that, afaics. And then there's the
question of the toolbar style (icons only, icons plus text, etc) but I
guess that is already configurable in the gtk3 css file. Cheers, Carlos.
On Jul 31, 2014 4:11 AM, "Eli Zaretskii" <[email-masked]> wrote:

> > Date: Thu, 31 Jul 2014 08:57:05 +0200
> > From: "Jan D." <[email-masked]>
> > CC: [email-masked]
> >
> > As far as I know, for the first frame when .emacs has not been read yet,
> > Emacs internally says that no tool bar shall be added.
> > After .emacs has been read, and tool bar mode is still active (i.e. not
> > disabled by .emacs) it adds the tool bar.  So this is generic code that
> > is at work.
>
> Thanks.  So I was mistaken: this does not depend on the toolkit.  In
> that case, I guess we could change that to work more like the menu
> bar, which (AFAIR) is shown on the initial frame.
>